%define realversion	0.31
%define version		0.3.1
%define release		4mdk
%define name 		perl-Convert-UUlib
%define realname	Convert-UUlib

Name: 		%{name}
Version: 	%{version}
Epoch:		1
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	%{realname}-%{realversion}.tar.bz2
URL: 		http://www.cpan.org/modules/by-module/Convert/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Requires: 	perl
Summary: Convert-UUlib module for perl

%description
%{realname} module for perl

%prep
%setup -q -n %{realname}-%{realversion}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorarch}/auto/Convert/*
%{perl_vendorarch}/Convert/*
%{_mandir}/*/*
%doc MANIFEST README Changes COPYING

%changelog
* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.1-4mdk
- rebuild for new perl
- drop Prefix tag
- don't rm -rf $RPM_BUILD_ROOT in %%prep & %%build, but %%install
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-3mdk
- rebuild for new auto{prov,req}

* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.1-2mdk
- rebuild

* Wed Jul 10 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.1-1mdk
- 0.31
- rebuild (bugid 557)
- Fake sane version numbers, requires Epoch to be bumped.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.212-2mdk
- rebuild for perl 5.8.0

* Wed May  22 2002 Buchan Milne <bgmilne@cae.co.za> 0.212-1mdk
- Mandrake RPM
